{
  "custom": {},
  "params": {},
  "props": {
    "defaultSize": {
      "height": 165,
      "width": 400
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "Label"
            },
            "position": {
              "basis": "32px"
            },
            "props": {
              "text": "An error occurred while connecting to the database."
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_0"
            },
            "position": {
              "basis": "32px"
            },
            "props": {
              "text": "Network or database connection failed. Check your settings or contact IT support."
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "grow": 1
        },
        "props": {
          "alignItems": "flex-start",
          "direction": "column",
          "justify": "space-around",
          "style": {
            "paddingLeft": 5,
            "paddingRight": 5
          }
        },
        "type": "ia.container.flex"
      },
      {
        "events": {
          "component": {
            "onActionPerformed": {
              "config": {
                "script": "\tsystem.perspective.closePopup(\"\")"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "Button"
        },
        "props": {
          "primary": false,
          "style": {
            "marginTop": 3
          },
          "text": "Dismiss"
        },
        "type": "ia.input.button"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "alignContent": "flex-start",
      "direction": "column",
      "justify": "space-around"
    },
    "type": "ia.container.flex"
  }
}